Bug 194202 - Review Request: scim-bridge (gtkimm module in C)
Review Request: scim-bridge (gtkimm module in C)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks: SCIM 185693 FC-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-05 22:55 EDT by Jens Petersen
Modified: 2013-01-09 20:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 16:49:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2006-06-05 22:55:51 EDT
Spec URL: http://people.redhat.com/petersen/scim-bridge.spec
SRPM URL: http://fedoraproject.org/extras/development/SRPMS/scim-bridge-0.1.12-1.fc6.src.rpm 
Description:
SCIM Bridge is an alternative Gtk Input Method Module for SCIM
implemented in C (ie it does not depend on libscim and libstdc++)
to avoid libstdc++ symbol ABI conflicts for gtk C++ apps.
We want to add it to FC6 so that scim no longer needed to depend on
libstdc++so7.

See bug 190243 for the Extras review.
Comment 1 Jesse Keating 2006-06-05 23:16:18 EDT
The only thing I see is that %{?dist} won't work in brew right now, so don't
expect that to translate.  Other than that I approve.

You'll need to get Bill's signoff on including in Core and then I'll add it to brew.
Comment 2 Bill Nottingham 2006-06-06 11:00:28 EDT
I'm assuming this is replacing the current bridge, not supplementing it?

If so, it's got my OK. We'll need to make sure we obosolete libstdc++so7 when
the time comes.
Comment 3 Jesse Keating 2006-06-06 14:42:49 EDT
scim-bridge has been added to dist-fc6 for building.  Do we need to make any
changes in Anaconda or Comps for this?
Comment 4 Jens Petersen 2006-06-06 21:31:48 EDT
(In reply to comment #2)
> I'm assuming this is replacing the current bridge, not supplementing it?

Yep, this replaces the scim-bridge subpackage of scim that was in Core
until scim-1.4.4-17.

> We'll need to make sure we obosolete libstdc++so7 when the time comes.

Right.  How should that be done?  In anaconda?  In principle scim-bridge
could also do it but it is a bit hard to version...

(In reply to comment #3)
> scim-bridge has been added to dist-fc6 for building.  Do we need to make any
> changes in Anaconda or Comps for this?

In comps yes: basically every language that lists a scim package
needs to have

<packagereq type="conditional"
requires="xorg-x11-server-Xorg">scim-gtkimm</packagereq>

Also scim-gtkimm needs to be multilib (paricularly important for x86_64).

Thanks, I'll import scim-bridge into Core cvs then.
Comment 5 Jens Petersen 2006-06-06 21:39:47 EDT
Err, please make that:

<packagereq type="conditional"
requires="xorg-x11-server-Xorg">scim-bridge</packagereq>
Comment 6 Jens Petersen 2006-06-06 21:43:01 EDT
And it is scim-bridge-gtkimm that needs to be multilib, sorry.
Comment 7 Jens Petersen 2006-06-06 22:30:09 EDT
Package has been built for FC devel.
Comment 8 Jesse Keating 2006-06-14 16:49:40 EDT
In rawhide.

Note You need to log in before you can comment on or make changes to this bug.